## javax.xml.rpc
Class ParameterMode

    java.lang.Object
      |
      +--javax.xml.rpc.ParameterMode

public class ParameterMode
extends java.lang.Object

The `javax.xml.rpc.ParameterMode` is a type-safe enumeration for parameter mode. This class is used in the `Call`API to specify parameter passing modes.

Version:
  1.0

Field Summary
`static ParameterMode` `IN` Field IN
`static ParameterMode` `INOUT` Field INOUT
`static ParameterMode` `OUT` Field OUT

Method Summary
`java.lang.String` `toString()` Method toString

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### IN

    public static final ParameterMode IN

  Field IN

### INOUT

    public static final ParameterMode INOUT

  Field INOUT

### OUT

    public static final ParameterMode OUT

  Field OUT

Method Detail

### toString

    public java.lang.String toString()

  Method toString

  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    String

Copyright © 2003 Apache Web Services Project. All Rights Reserved.